<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetSerNoVar Method (IEdmEnumeratorVariable7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable7 Interface : GetSerNoVar Method (IEdmEnumeratorVariable7)

Visual Basic
C#
C++/CLI

bsSerNoName
  Serial number of variables to find

lFolderID
  ID of the file's parent folder; 0 if the file is not shared

ppoRetIDs
  Array of IDs of variables with bSerNoName

Gets the IDs of all variables that have the specified serial number.

# Syntax

Visual Basic |
--- | ---

    Sub GetSerNoVar( _
       ByVal bsSerNoName As System.String, _
       ByVal lFolderID As System.Integer, _
       ByRef ppoRetIDs() As System.Integer _
    )

C# |
--- | ---

    void GetSerNoVar(
       System.string bsSerNoName,
       System.int lFolderID,
       out System.int[] ppoRetIDs
    )

C++/CLI |
--- | ---

    void GetSerNoVar(
    &   System.String^ bsSerNoName,
    &   System.int lFolderID,
    &   [Out] System.array<int>^ ppoRetIDs
    )

#### Parameters

bsSerNoName
  Serial number of variables to find
lFolderID
  ID of the file's parent folder; 0 if the file is not shared
ppoRetIDs
  Array of IDs of variables with bSerNoName

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: An argument is invalid.

# See Also

####

IEdmEnumeratorVariable7 Interface
IEdmEnumeratorVariable7 Members

# Availability

SOLIDWORKS PDM Professional Version 6.4